package cn.bunny.pattern4.demo2;

public class BeautyCameraDecorator extends CameraDecorator {
    public BeautyCameraDecorator(Camera camera) {
        super(camera);
    }

    /**
     * 操作
     */
    @Override
    public void operation() {
        camera.operation();
        System.out.println("美颜功能相机。。。");
    }
}
